/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20130823-64 [Aug 28 2013]
 * Copyright (c) 2000 - 2013 Intel Corporation
 * 
 * Disassembly of ssdt1.dat, Wed Sep 25 19:42:52 2013
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000E21 (3617)
 *     Revision         0x01
 *     Checksum         0x95
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "INSYDE  "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("ssdt1.aml", "SSDT", 1, "HPQOEM", "INSYDE  ", 0x00001000)
{
    /*
     * iASL Warning: There were 2 external control methods found during
     * disassembly, but additional ACPI tables to resolve these externals
     * were not specified. This resulting disassembler output file may not
     * compile because the disassembler did not know how many arguments
     * to assign to these methods. To specify the tables needed to resolve
     * external control method references, use the one of the following
     * example iASL invocations:
     *     iasl -e <ssdt1.aml,ssdt2.aml...> -d <dsdt.aml>
     *     iasl -e <dsdt.aml,ssdt2.aml...> -d <ssdt1.aml>
     */
    External (_SB_.PCI0.LPCB.EC0_.ECMD, MethodObj)    // Warning: Unresolved Method, guessing 3 arguments (may be incorrect, see warning above)
    External (_SB_.PCI0.LPCB.EC0_.WENE, MethodObj)    // Warning: Unresolved Method, guessing 6 arguments (may be incorrect, see warning above)

    External (_SB_.PCI0.LPCB.EC0_.ECOK, IntObj)
    External (_SB_.PCI0.LPCB.EC0_.RENE, IntObj)
    External (_TZ_.TZ01._TMP, IntObj)
    External (DTS1)
    External (DTS2)
    External (DTS3)
    External (DTS4)
    External (PDTS)

    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0C02"))  // _CID: Compatible ID
            Name (IVER, 0x00030000)
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }

            Name (TSDL, Package (0x2E)
            {
                Zero, 
                "CPU Core 0 DTS", 
                Zero, 
                "CPU Core 1 DTS", 
                Zero, 
                "CPU Core 2 DTS", 
                Zero, 
                "CPU Core 3 DTS", 
                Zero, 
                "CPU Core Package DTS", 
                0x03, 
                "CPU Core VR (IMVP) Temperature", 
                0x03, 
                "CPU GT VR (IMVP) Temperature", 
                0x03, 
                "Heat Exchanger Fan Temperature", 
                0x03, 
                "Skin Temperature", 
                0x03, 
                "Ambient Temperature", 
                0x03, 
                "Minicard Region Temperature", 
                0x02, 
                "Channel 0 DIMM Temperature", 
                0x02, 
                "Channel 1 DIMM Temperature", 
                Zero, 
                "CPU Package Temperature", 
                0x05, 
                "PCH DTS Temperature from PCH", 
                Zero, 
                "CPU PECI reading", 
                0x05, 
                "SA DTS Temperature from PCH", 
                0x02, 
                "TS-on-DIMM0 Temperature", 
                0x02, 
                "TS-on-DIMM1 Temperature", 
                0x02, 
                "TS-on-DIMM2 Temperature", 
                0x02, 
                "TS-on-DIMM3 Temperature", 
                0x02, 
                "TZ00 _TMP", 
                0x02, 
                "TZ01 _TMP"
            })
            Name (PSDL, Package (0x0C)
            {
                Zero, 
                "CPU Power", 
                One, 
                "Gfx Core Power", 
                0x0A, 
                "System Power", 
                Zero, 
                "CPU Average Power", 
                One, 
                "Gfx Core Average Power", 
                0x0A, 
                "System Average Power"
            })
            Name (OSDL, Package (0x06)
            {
                Zero, 
                "CPU Fan Speed", 
                "RPM", 
                Zero, 
                "CPU energy", 
                "RAW"
            })
            Method (TSDD, 0, NotSerialized)
            {
                Name (TMPV, Package (0x17)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Store (Add (Multiply (DTS1, 0x0A), 0x0AAC), Index (TMPV, 
                    Zero))
                Store (Add (Multiply (DTS2, 0x0A), 0x0AAC), Index (TMPV, 
                    One))
                Store (Add (Multiply (DTS3, 0x0A), 0x0AAC), Index (TMPV, 
                    0x02))
                Store (Add (Multiply (DTS4, 0x0A), 0x0AAC), Index (TMPV, 
                    0x03))
                Store (Add (Multiply (PDTS, 0x0A), 0x0AAC), Index (TMPV, 
                    0x04))
                If (\_SB.PCI0.LPCB.EC0.ECOK) {}
                Store (\_TZ.TZ01._TMP, Index (TMPV, 0x16))
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Name (PWRV, Package (0x06)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                If (\_SB.PCI0.LPCB.EC0.ECOK) {}
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Name (OSDV, Package (0x02)
                {
                    0x80000000, 
                    0x80000000
                })
                If (\_SB.PCI0.LPCB.EC0.ECOK) {}
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }

            Name (PADA, Package (0x0A)
            {
                One, 
                Ones, 
                Ones, 
                0x1A, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones
            })
            Name (PADD, Package (0x0A)
            {
                0x02, 
                0x6C, 
                0x68, 
                0x1A, 
                0x62, 
                0x63, 
                0x60, 
                0x61, 
                0x65, 
                0x64
            })
            Method (PADT, 0, NotSerialized)
            {
                Return (PADD)
            }

            Method (RPMD, 0, NotSerialized)
            {
                Name (MTMP, Buffer (0x1A) {})
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x06
                    Index (MTMP, Zero)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x07
                    Index (MTMP, One)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x08
                    Index (MTMP, 0x02)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x09
                    Index (MTMP, 0x03)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0A
                    Index (MTMP, 0x04)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0B
                    Index (MTMP, 0x05)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0C
                    Index (MTMP, 0x06)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0D
                    Index (MTMP, 0x07)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0E
                    Index (MTMP, 0x08)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x0F
                    Index (MTMP, 0x09)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x10
                    Index (MTMP, 0x0A)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x11
                    Index (MTMP, 0x0B)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x12
                    Index (MTMP, 0x0C)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x13
                    Index (MTMP, 0x0D)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x14
                    Index (MTMP, 0x0E)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x15
                    Index (MTMP, 0x0F)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x16
                    Index (MTMP, 0x10)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x17
                    Index (MTMP, 0x11)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x18
                    Index (MTMP, 0x12)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x19
                    Index (MTMP, 0x13)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1A
                    Index (MTMP, 0x14)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1B
                    Index (MTMP, 0x15)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1C
                    Index (MTMP, 0x16)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1D
                    Index (MTMP, 0x17)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1E
                    Index (MTMP, 0x18)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x1F
                    Index (MTMP, 0x19)
                }

                Return (MTMP)
            }

            Method (WPMD, 1, NotSerialized)
            {
                If (LNotEqual (SizeOf (Arg0), 0x1A))
                {
                    Return (Ones)
                }

                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x06, DerefOf (Index (Arg0, Zero)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 
                        0x07, DerefOf (Index (Arg0, One)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x08, DerefOf (Index (
                        Arg0, 0x02)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x09, DerefOf (Index (Arg0, 0x03)), 
                        \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x0A, DerefOf (Index (Arg0, 0x04)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x0B, 
                        DerefOf (Index (Arg0, 0x05)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x0C, DerefOf (Index (Arg0, 
                        0x06)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x0D, DerefOf (Index (Arg0, 0x07)), \_SB.PCI0.LPCB.EC0.WENE (
                        0xFB, 0x0E, DerefOf (Index (Arg0, 0x08)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x0F, DerefOf (
                        Index (Arg0, 0x09)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x10, DerefOf (Index (Arg0, 0x0A
                        )), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x11, DerefOf (Index (Arg0, 0x0B)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 
                        0x12, DerefOf (Index (Arg0, 0x0C)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x13, DerefOf (Index (
                        Arg0, 0x0D)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x14, DerefOf (Index (Arg0, 0x0E)), 
                        \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x15, DerefOf (Index (Arg0, 0x0F)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x16, 
                        DerefOf (Index (Arg0, 0x10)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x17, DerefOf (Index (Arg0, 
                        0x11)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x18, DerefOf (Index (Arg0, 0x12)), \_SB.PCI0.LPCB.EC0.WENE (
                        0xFB, 0x19, DerefOf (Index (Arg0, 0x13)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x1A, DerefOf (
                        Index (Arg0, 0x14)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x1B, DerefOf (Index (Arg0, 0x15
                        )), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x1C, DerefOf (Index (Arg0, 0x16)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 
                        0x1D, DerefOf (Index (Arg0, 0x17)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x1E, DerefOf (Index (
                        Arg0, 0x18)), \_SB.PCI0.LPCB.EC0.WENE (0xFB, 0x1F, DerefOf (Index (Arg0, 0x19)), 
                        \_SB.PCI0.LPCB.EC0.ECMD (0xFF, 0x10, 0x62), Return (Zero)))))))))))))))))))))))))))
                }
            }

            Method (ISPC, 0, NotSerialized)
            {
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    \_SB.PCI0.LPCB.EC0.ECMD (0xFF, 0x10, 0x60)
                }

                Return (Zero)
            }

            Method (ENPC, 0, NotSerialized)
            {
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    \_SB.PCI0.LPCB.EC0.ECMD (0xFF, 0x10, 0x61)
                }

                Return (Zero)
            }

            Method (RPCS, 0, NotSerialized)
            {
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFF)
                    0x10
                    Local0
                }

                Return (Local0)
            }

            Method (RPEC, 0, NotSerialized)
            {
                Store (Zero, Local0)
                If (\_SB.PCI0.LPCB.EC0.ECOK)
                {
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x02
                    Local1
                    Or (Local0, Local1, Local0)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x03
                    Local1
                    Or (Local0, ShiftLeft (Local1, 0x08), Local0)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x04
                    Local1
                    Or (Local0, ShiftLeft (Local1, 0x10), Local0)
                    Store (\_SB.PCI0.LPCB.EC0.RENE, 0xFB)
                    0x05
                    Local1
                    Or (Local0, ShiftLeft (Local1, 0x18), Local0)
                }

                Return (Local0)
            }
        }
    }
}

